﻿@{
    ViewBag.Title = "Risk Register";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script src="~/Content/plugins/autoNumeric-1.9.18.js"></script>
<link href="~/Content/plugins/tabwizard/tabwizard2.css" rel="stylesheet" />
<script src="~/Content/plugins/tabwizard/tabwizard2.js"></script>
<link href="~/Content/plugins/fileinput/css/fileinput.css" rel="stylesheet" />

<script type="text/javascript">

    var oVersion;
    var oStatus;




    $(function () {
        $('#txtihrrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtihrrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '999999999999' });
        $('#txtresrisk_finimpactamount').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtresrisk_oprimpactloss').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 0, vMax: '999999999999' });
        $('#txtcba_ihrriskvalue').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });
        $('#txtcba_resrisk').autoNumeric('init', { lZero: 'deny', aSep: ',', mDec: 2, vMax: '999999999999' });

    });

    function loadTooltip() {
        $("#txtriskno").attr('title', 'Nomor Risk autogenerate');
        $("#ddlyear").attr('title', 'Pilih Tahun Finansial');
        $("#txtdivision").attr('title', 'Nama Division ybs');
        $("#ddlcompanykpi").attr('title', 'KPI dari perusahaan yang link dengan depertment atu divisi ybs.');
        $("#txtdepartment").attr('title', 'Nama Division ybs');
        $("#ddldepartmentkpi").attr('title', 'KPI dari department, yang link dengan KPI company. Manual');
        $("#txtriskdesc_loss").attr('title', 'Kemungkinan resiko yang ada di dalam critical process');
        $("#txtriskdesc_caused").attr('title', 'Sesuatu yang dapat menyebabkan resiko terjadi');
        $("#ddlriskdesc_riskimpact").attr('title', 'dampak dari loss event, dibagi menjadi: 1 Loss opportunity of sales 2. Financial loss 3. Reputation loss 4. Operation disruption');
        $("#txtriskdesc_riskimpactdesc").attr('title', 'Deskripsi dari Risk Impact');
        $("#ddlriskdesc_risklevel").attr('title', 'Risk level menggambarkan dampak thd perusahaan. Jika inherent risk adalah high, atau impact adalah major maka maka masuk ke level corporate. ');
        $("#txtihrrisk_notes").attr('title', 'masukkan asumsi untuk perhitungan impact dan probability / likelihood');
        $("#ddlihrrisk_finimpact").attr('title', 'masukkan dampak financial dari risk ke account yang relevant (jika ada), terdiri dari: 1. Revenue (penurunan revenue)');
        $("#txtihrrisk_finimpactamount").attr('title', 'Masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control Isilah dengan angka dalam jutaan rupiah');
        $("#ddlihrrisk_oprimpact").attr('title', 'dimasukkan dampak operational yang relevan terhadap risk yang dibahas.');
        $("#txtihrrisk_oprimpactloss").attr('title', 'Masukkan jumlah maximum foreseeable loss yang mungkin terjadi tanpa control untuk dampak operasional. Persentase');
        $("#ddlihrrisk_qualitativeimpact").attr('title', 'penilaian secara qualitative dengan indicator strategic risk. ');
        $("#ddlihrrisk_impact").attr('title', 'Penilaian impact ini akan otomatis muncul tergantung dari hasil penilaian ');
        $("#ddlihrrisk_likelihood").attr('title', 'penilaian yang menggambarkan probability kemungkinan / frekuensi terjadinya risk sebelum adanya control.');
        $("#ddlihrrisk_overallinherrisk").attr('title', 'Penilaian Overall Inherent Risk atau natural risk akan otomatis muncul berdasarkan nilai dari impact dan likelihood');
        $("#ddlihrrisk_ledbid").attr('title', 'data loss event db');
        $("#txtcurraction_preventive").attr('title', 'Design control yang dilakukan untuk mencegah loss event(resiko) terjadi di saat awal');
        $("#txtcurraction_detective").attr('title', 'Control yang dilakukan untuk mendeteksi error atau aktivitas yang tidak biasa di dalam sebuah proses');
        $("#txtcurraction_corrective").attr('title', 'Control yang dilakukan jika loss event (resiko) sudah terjadi');
        $("#txtcurraction_controldesc").attr('title', 'Seluruh control yang dimiliki suatu department untuk menurunkan tingkat resiko');
        $("#ddlcurraction_operation").attr('title', 'penilaian dari sisi control, apakah control dijalankan secara konsisten = always; tidak konsisten maupun tidak dijalankan sama sekali');
        $("#ddlcurraction_appropriateness").attr('title', 'penilaian control secara otomatis jika di isi assessment terhadap residual risk. Membandingkan hasil inherent risk & residual risk');
        $("#ddlcurraction_overall").attr('title', 'penilaian terhadap total control secara otomatis, merupakan kombinasi dari operation dan appropriatness control');
        $("#txtresrisk_notes").attr('title', 'masukkan asumsi sebagai dasar perhitungan untuk residual risk');
        $("#txtresrisk_finimpactamount").attr('title', 'Masukkan dampak financial 1 yang mungkin terjadi setelah control Isilah dengan angka dalam jutaan rupiah');
        $("#txtresrisk_oprimpactloss").attr('title', 'Masukkan dampak opersional 1 yang mungkin terjadi setelah control ');
        $("#ddlresrisk_strategicimpact").attr('title', 'Penilaian secara qualitative dengan indicator stratgic risk');
        $("#ddlresrisk_likelihood").attr('title', 'Penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlresrisk_overallresidual").attr('title', 'Penilaian resiko setelah adanya control yang dilakukan');
        $("#txtexprisk_treatplan").attr('title', 'Penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_impact").attr('title', 'Penilaian yang menggambarkan frekuensi terjadinya resiko setelah adanya control');
        $("#ddlexprisk_likelihood").attr('title', 'Kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');
        $("#ddlexprisk_overallexpected").attr('title', 'ini merupakan nilai expected risk yang dinilai secara otomatis. Expected risk adalah resiko yang ditolerate oleh management');
        $("#txtexprisk_schedule").attr('title', 'Kemungkinan resiko terjadi ketika treatment plan sudah dilakukan');

    }

    function tabwizard() {
        $('.next').click(function () {
            var nextId = $(this).parents('.tab-pane').next().attr("id");
            $('[href=#' + nextId + ']').tab('show');
            return false;
        });

        $('.back').click(function () {
            var prevId = $(this).parents('.tab-pane').prev().attr("id");
            $('[href=#' + prevId + ']').tab('show');
            return false;
        });

        $('a[data-toggle="tab"]').on('shown.bs.tab', function (e) {
            //update progress
            var step = $(e.target).data('step');
            var percent = (parseInt(step) / 6) * 100;

            $('.progress-bar').css({ width: percent + '%' });
            $('.progress-bar').text("Step " + step + " of 6");

            //e.relatedTarget // previous tab
        });

        $('.first').click(function () {
            $('#myWizard a:first').tab('show');
        });

    }

    function loadComFinYear() {
        return $.ajax({
            url: '@Url.Action("GetComFinYear", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlyear').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlyear').append('<option value="">No data found</option>');
            }
        });
    }

    function loadCompanyKPI() {
        return $.ajax({
            url: '@Url.Action("GetCompanyKPI", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlcompanykpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcompanykpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDeptKPI() {
        return $.ajax({
            url: '@Url.Action("GetDeptKPI", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddldepartmentkpi').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddldepartmentkpi').append('<option value="">No data found</option>');
            }
        });
    }

    function loadRiskImpact() {
        return $.ajax({
            url: '@Url.Action("GetRiskImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlriskdesc_riskimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlriskdesc_riskimpact').append('<option value="">No data found</option>');
            }
        });
    }

    function loadRiskType() {
        return $.ajax({
            url: '@Url.Action("GetRiskType", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#txtriskdesc_riskimpactdesc').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#txtriskdesc_riskimpactdesc').append('<option value="">No data found</option>');
            }
        });
    }
    function loadRiskLevel() {
        return $.ajax({
            url: '@Url.Action("GetRiskLevel", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlriskdesc_risklevel').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlriskdesc_risklevel').append('<option value="">No data found</option>');
            }
        });
    }

    function loadFinancialImpact() {
        return $.ajax({
            url: '@Url.Action("GetFinancialImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_finimpact').append('<option value="0"></option>');
                $('#ddlIhrRiskFinancialImpact2').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_finimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
            },
            error: function (ex) {
                $('#ddlihrrisk_finimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadOperationalImpact() {
        return $.ajax({
            url: '@Url.Action("GetOperationImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_oprimpact').append('<option value="0"></option>');
                $('#ddlIhrRiskOperationalImpact2').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_oprimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');

                });
            },
            error: function (ex) {
                $('#ddlihrrisk_oprimpact').append('<option value="">No data found</option>');

            }
        });
    }

    function loadStrategicImpact() {
        return $.ajax({
            url: '@Url.Action("GetStrategicImpact", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_qualitativeimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_strategicimpact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlihrrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_impact').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_qualitativeimpact').append('<option value="">No data found</option>');
                $('#ddlresrisk_strategicimpact').append('<option value="">No data found</option>');
                $('#ddlihrrisk_impact').append('<option value="">No data found</option>');
                $('#ddlresrisk_impact').append('<option value="">No data found</option>');
                $('#ddlexprisk_impact').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLikelihood() {
        return $.ajax({
            url: '@Url.Action("GetLikelihood", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_likelihood').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlresrisk_likelihood').append('<option value="">No data found</option>');
                $('#ddlexprisk_likelihood').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOperation() {
        return $.ajax({
            url: '@Url.Action("GetOperation", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlcurraction_operation').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_operation').append('<option value="">No data found</option>');
            }
        });
    }

    function loadAppropriateness() {
        return $.ajax({
            url: '@Url.Action("GetAppropriateness", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlcurraction_appropriateness').append('<option value="0">N/A</option>');
                $.each(results, function (i, result) {
                    $('#ddlcurraction_appropriateness').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_appropriateness').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOverallCurrAction() {
        return $.ajax({
            url: '@Url.Action("GetOverallCurrAction", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlcurraction_overall').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlcurraction_overall').append('<option value="">No data found</option>');
            }
        });
    }

    function loadLossEventDB() {
        return $.ajax({
            url: '@Url.Action("GetLossEventDB", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlihrrisk_ledbid').append('<option value="0"></option>');
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_ledbid').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_ledbid').append('<option value="">No data found</option>');
            }
        });
    }

    function loadOverall() {
        return $.ajax({
            url: '@Url.Action("GetOverall", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $.each(results, function (i, result) {
                    $('#ddlihrrisk_overallinherrisk').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlresrisk_overallresidual').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                    $('#ddlexprisk_overallexpected').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlihrrisk_overallinherrisk').append('<option value="">No data found</option>');
                $('#ddlresrisk_overallresidual').append('<option value="">No data found</option>');
                $('#ddlexprisk_overallexpected').append('<option value="">No data found</option>');
            }
        });
    }

    function loadDetail() {
        var GetDetail = '@Url.Action("getRiskRegisterAddDetail", "RiskRegister")';
        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {
                    document.getElementById("txtriskno").value = GetDetail.riskno;
                    document.getElementById("txtdepartment").value = GetDetail.department;
                    document.getElementById("txtdivision").value = GetDetail.division;
                    document.getElementById("hdDeptId").value = GetDetail.deptid;

                }
            },
            error: function () {

            }
        });
    }

    function getIhrRiskImpact() {
        var FinImpactAmount = $('#txtihrrisk_finimpactamount').val();
        var StrategicImpact = $('#ddlihrrisk_qualitativeimpact').val();
        var OprImpact = $('#ddlihrrisk_oprimpact').val();
        var OprImpactLoss = $('#txtihrrisk_oprimpactloss').val();
        var ComfinId = $('#ddlyear').val();
        var GetDetail = '@Url.Action("GetIhrRiskImpact", "RiskRegister")?FinImpactAmount=' + FinImpactAmount + '&StrategicImpact=' + StrategicImpact + '&OprImpact=' + OprImpact + '&OprImpactLoss=' + OprImpactLoss + '&ComfinId=' + ComfinId;

        $.ajax(GetDetail, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (GetDetail) {
                if (GetDetail.success) {

                    document.getElementById("ddlihrrisk_impact").value = GetDetail.ihrrisk_impact;
                    GetOverall("IhrRisk");
                }
            },
            error: function () {

            }
        });
    }

    function saveData(message) {
        //validation
        if (message == "Complete") {
            if ($('#txtriskdesc_loss').val().length == 0 || $('#txtriskdesc_caused').val().length == 0 ||
              $('#txtihrrisk_notes').val().length == 0 || $('#txtresrisk_notes').val().length == 0 ||
             $('#txtresrisk_finimpactamount').val() == "0") {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Please fill mandatory field (<label class='required'></label>)", function () {
                    setTimeout(function () { }, 500);
                });
            }

            var finamount1 = $('#txtihrrisk_finimpactamount').val();
            var finamount2 = $('#txtresrisk_finimpactamount').val();

            if (finamount2 >= finamount1) {
                bootbox.alert("<i class='fa fa-warning fa-2x'></i> Residual Risk Financial Impact Amount should not greater than Inherent Risk Financial Impact Amount!", function () {
                    setTimeout(function () { }, 500);
                });
            }

        }

        //confirmation
        bootbox.confirm({
            title: "<i class='fa fa-warning fa-2x'></i> " + message + " Confirmation",
            message: 'Are you sure you want to ' + message + ' this data. <br>If not, click Cancel',
            buttons: {
                'cancel': {
                    label: '<i class="fa fa-times"></i> Cancel',
                    className: 'btn-default pull-left'
                },
                'confirm': {
                    label: '<i class="fa fa-check"></i> Yes, Continue save',
                    className: 'btn-primary pull-right'
                }
            },
            callback: function (result) {
                if (result) {
                    var RiskRegisterList = [
                         {
                             id: '@ViewBag.RowId',
                             comfinid: $('#ddlyear').val(),
                             riskno: $('#txtriskno').val(),
                             companykpi: $('#ddlcompanykpi').val(),
                             departmentkpi: $('#ddldepartmentkpi').val(),
                             deptid: $('#hdDeptId').val(),

                             riskdesc_loss: $('#txtriskdesc_loss').val(),
                             riskdesc_caused: $('#txtriskdesc_caused').val(),
                             riskdesc_riskimpact: $('#ddlriskdesc_riskimpact').val(),
                             riskdesc_riskimpactdesc: $('#txtriskdesc_riskimpactdesc').val(),
                             riskdesc_risklevel: $('#ddlriskdesc_risklevel').val(),

                             ihrrisk_notes: $('#txtihrrisk_notes').val(),
                             ihrrisk_finimpact: $('#ddlihrrisk_finimpact').val(),
                             ihrrisk_finimpactamount: $('#txtihrrisk_finimpactamount').val(),
                             ihrrisk_oprimpact: $('#ddlihrrisk_oprimpact').val(),
                             ihrrisk_oprimpactloss: $('#txtihrrisk_oprimpactloss').val(),
                             ihrrisk_qualitativeimpact: $('#ddlihrrisk_qualitativeimpact').val(),
                             ihrrisk_impact: $('#ddlihrrisk_impact').val(),
                             ihrrisk_likelihood: $('#ddlihrrisk_likelihood').val(),
                             ihrrisk_overallinherrisk: $('#ddlihrrisk_overallinherrisk').val(),
                             ihrrisk_ledbid: $('#ddlihrrisk_ledbid').val(),

                             curraction_preventive: $('#txtcurraction_preventive').val(),
                             curraction_detective: $('#txtcurraction_detective').val(),
                             curraction_corrective: $('#txtcurraction_corrective').val(),
                             curraction_controldesc: $('#txtcurraction_controldesc').val(),
                             curraction_operation: $('#ddlcurraction_operation').val(),
                             curraction_appropriateness: $('#ddlcurraction_appropriateness').val(),
                             curraction_overall: $('#ddlcurraction_overall').val(),

                             resrisk_notes: $('#txtresrisk_notes').val(),
                             resrisk_finimpactamount: $('#txtresrisk_finimpactamount').val(),
                             resrisk_oprimpactloss: $('#txtresrisk_oprimpactloss').val(),
                             resrisk_strategicimpact: $('#ddlresrisk_strategicimpact').val(),
                             resrisk_impact: $('#ddlresrisk_impact').val(),
                             resrisk_likelihood: $('#ddlresrisk_likelihood').val(),
                             resrisk_overallresidual: $('#ddlresrisk_overallresidual').val(),

                             exprisk_treatplan: $('#txtexprisk_treatplan').val(),
                             exprisk_accept: document.getElementById("cbexprisk_accept").checked,
                             exprisk_impact: $('#ddlexprisk_impact').val(),
                             exprisk_likelihood: $('#ddlexprisk_likelihood').val(),
                             exprisk_overallexpected: $('#ddlexprisk_overallexpected').val(),
                             exprisk_schedule: $('#txtexprisk_schedule').val(),
                             riskreg_status: oStatus,
                             version: oVersion
                         }
                    ];

                    var file1 = document.getElementById("file1").files[0];
                    var file2 = document.getElementById("file2").files[0];
                    var file3 = document.getElementById("file3").files[0];
                    var file4 = document.getElementById("file4").files[0];
                    var file5 = document.getElementById("file5").files[0];

                    RiskRegisterList.push();

                    var formData = new FormData();

                    formData.append("postedFileBase1", file1);
                    formData.append("postedFileBase2", file2);
                    formData.append("postedFileBase3", file3);
                    formData.append("postedFileBase4", file4);
                    formData.append("postedFileBase5", file5);
                    formData.append("RiskRegisterList", JSON.stringify(RiskRegisterList));

                    //Save Process
                    $.ajax({
                        type: "POST",
                        url: '@Url.Action("SaveRiskRegister", "RiskRegister")',
                        data: formData,
                        dataType: 'json',
                        contentType: false,
                        processData: false,
                        //beforeSend: function () {
                        //    //$("#loader").show();
                        //},
                        success: function (data) {
                            bootbox.dialog({
                                message: data.message,
                                title: data.title,
                                buttons: {
                                    main: {
                                        label: "<i class='fa fa-check'></i> Ok",
                                        className: "btn-primary",
                                        callback: function () {
                                            if (result) {
                                                if (data.status) {
                                                    window.location.href = '@Url.Action("RiskRegister", "RiskRegister")';
                                                }
                                            }
                                        }
                                    }
                                }
                            });
                        }
                    });

                }
            }
        });



    }

    function setControlDesc() {
        var param1 = $('#txtcurraction_preventive').val();
        var param2 = $('#txtcurraction_detective').val();
        var param3 = $('#txtcurraction_corrective').val();


        document.getElementById("txtcurraction_controldesc").value = param1 + param2 + param3;
    }

    function GetOverall(ddl) {
        var param1 = "";
        var param2 = "";

        if (ddl == "IhrRisk") {
            param1 = $("#ddlihrrisk_impact").val();
            param2 = $("#ddlihrrisk_likelihood").val();
        }
        if (ddl == "CurrAction") {
            param1 = $("#ddlcurraction_operation").val();
            param2 = $("#ddlcurraction_overall").val();
        }
        if (ddl == "CurrAction2") {
            param1 = $("#ddlihrrisk_overallinherrisk").val();
            param2 = $("#ddlresrisk_overallresidual").val();
        }
        if (ddl == "ResRisk") {
            param1 = $("#ddlresrisk_impact").val();
            param2 = $("#ddlresrisk_likelihood").val();
        }
        if (ddl == "ExpRisk") {
            param1 = $("#ddlexprisk_impact").val();
            param2 = $("#ddlexprisk_likelihood").val();
        }



        var getOverall = '@Url.Action("GetOverall", "RiskRegister")?param1=' + param1 + '&param2=' + param2;

        $.ajax(getOverall, {
            contentType: 'application/json; charset=utf-8',
            dataType: 'json',
            type: 'POST',
            success: function (getOverall) {
                if (getOverall.success) {
                    if (ddl == "IhrRisk") {
                        document.getElementById("ddlihrrisk_overallinherrisk").value = getOverall.overall;
                        GetOverall("CurrAction2");
                    }
                    if (ddl == "CurrAction") {
                        document.getElementById("ddlcurraction_appropriateness").value = getOverall.overall;
                    }
                    if (ddl == "ResRisk") {
                        document.getElementById("ddlresrisk_overallresidual").value = getOverall.overall;
                        GetOverall("CurrAction2");
                    }
                    if (ddl == "ExpRisk") {
                        document.getElementById("ddlexprisk_overallexpected").value = getOverall.overall;
                    }
                    if (ddl == "CurrAction2") {
                        document.getElementById("ddlcurraction_overall").value = getOverall.overall;
                    }

                } else {
                    bootbox.alert("<i class='fa fa-warning fa-2x'></i> data not found.", function () {
                        setTimeout(function () { }, 500);
                    });
                }
            },
            error: function () {

            }
        });

    }

    function CopyResRisk() {
        document.getElementById("ddlexprisk_impact").value = $('#ddlresrisk_impact').val();
        document.getElementById("ddlexprisk_likelihood").value = $('#ddlresrisk_likelihood').val();
        document.getElementById("ddlexprisk_overallexpected").value = $('#ddlresrisk_overallresidual').val();
    }

    $(document).ready(function () {
        loadTooltip();
        tabwizard();
        loadComFinYear().then(loadCompanyKPI).then(loadDeptKPI).then(loadRiskImpact).then(loadRiskType).then(loadRiskLevel).then(loadFinancialImpact).then(loadLossEventDB).then(loadOperationalImpact).then(loadStrategicImpact).then(loadLikelihood).then(loadOperation).then(loadAppropriateness).then(loadOverallCurrAction).then(loadOverall).then(loadDetail);

        $("#btnSave").click(function () {
            oVersion = "0";
            oStatus = "63";//Draft
            saveData("Save");
        });
        $("#btnSubmit").click(function () {
            oVersion = "1";
            oStatus = "64";//Pending Approval
            saveData("Submit");
        });
        $("#btnApprove").click(function () {
            oVersion = "1";
            oStatus = "65";//Approve
            saveData("Approve");
        });
        $("#btnReject").click(function () {
            oVersion = "1";
            oStatus = "66";//Reject
            saveData("Reject");
        });

        $("#btnaddriskdesc_riskimpact").click(function () {

            var riskimpact = $('#ddlriskdesc_riskimpact option:selected').text();
            var riskdesc = $('#txtriskdesc_riskimpactdesc').val();
            var riskdesc2 = '';
            if (riskimpact != '') riskdesc2 = riskdesc + '\n' + riskimpact;

            document.getElementById("txtriskdesc_riskimpactdesc").value = riskdesc2;
        });

        $("#cbexprisk_accept").change(function () {
            if ($(this).is(':checked')) {
                CopyResRisk();
            };
        });

        //Inherent Risk
        $(document).on("change", '#ddlihrrisk_impact', function (e) {
            GetOverall("IhrRisk");
        });
        $(document).on("change", '#ddlihrrisk_likelihood', function (e) {
            GetOverall("IhrRisk");
        });
        //Current Action
        $(document).on("change", '#ddlcurraction_operation', function (e) {
            GetOverall("CurrAction");
        });
        $(document).on("change", '#ddlcurraction_overall', function (e) {
            GetOverall("CurrAction");
        });
        //Residual Risk
        $(document).on("change", '#ddlresrisk_impact', function (e) {
            GetOverall("ResRisk");
        });
        $(document).on("change", '#ddlresrisk_likelihood', function (e) {
            GetOverall("ResRisk");
        });
        //Expected Risk
        $(document).on("change", '#ddlexprisk_impact', function (e) {
            GetOverall("ExpRisk");
        });
        $(document).on("change", '#ddlexprisk_likelihood', function (e) {
            GetOverall("ExpRisk");
        });

        $(document).on("change", '#txtcurraction_preventive', function (e) {
            setControlDesc();
        });
        $(document).on("change", '#txtcurraction_detective', function (e) {
            setControlDesc();
        });
        $(document).on("change", '#txtcurraction_corrective', function (e) {
            setControlDesc();
        });
        $(document).on("change", '#txtihrrisk_finimpactamount', function (e) {
            getIhrRiskImpact();
        });

        $(document).on("change", '#txtihrrisk_oprimpactloss', function (e) {
            getIhrRiskImpact();
        });


        $('.btn-file :file').on('fileselect', function (event, numFiles, label) {
            var input = $(this).parents('.input-group').find(':text'),
                log = numFiles > 1 ? numFiles + ' files selected' : label;
            if (input.length) {
                input.val(log);
            } else {
                if (log) alert(log);
            }
        });

    });
    $(document).on('change', '.btn-file :file', function () {
        var input = $(this),
            numFiles = input.get(0).files ? input.get(0).files.length : 1,
            label = input.val().replace(/\\/g, '/').replace(/.*\//, '');
        input.trigger('fileselect', [numFiles, label]);
    });


</script>



<style>
    .label-def-margin {
        margin-top: 6px;
    }

    .required:after {
        content: "*";
        color: red;
    }
</style>

<input type="hidden" id="hdDeptId" />
<div class="col-sm-12">
    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Add Risk
        </div>
        <div class="panel-body">
           
            <div class="navbar-inner">
                <ul class="nav nav-pills nav-wizard">
                    <li class="active">
                        <a class="hidden-xs" href="#step1" data-toggle="tab" data-step="1">1. Division/ Department</a>
                        <a class="visible-xs" href="#step1" data-toggle="tab" data-step="1">1.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li class="disabled">
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step2" data-toggle="tab" data-step="2">2. Risk Description</a>
                        <a class="visible-xs" href="#step2" data-toggle="tab" data-step="2">2.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li class="disabled">
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step3" data-toggle="tab" data-step="3">3. Inherent Risk</a>
                        <a class="visible-xs" href="#step3" data-toggle="tab" data-step="3">3.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li class="disabled">
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step4" data-toggle="tab" data-step="4">4. Current Action / Controls</a>
                        <a class="visible-xs" href="#step4" data-toggle="tab" data-step="4">4.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li class="disabled">
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step5" data-toggle="tab" data-step="5">5. Residual Risk</a>
                        <a class="visible-xs" href="#step5" data-toggle="tab" data-step="5">5.</a>
                        <div class="nav-arrow"></div>
                    </li>
                    <li class="disabled">
                        <div class="nav-wedge"></div>
                        <a class="hidden-xs" href="#step6" data-toggle="tab" data-step="6">6. Expected Risk</a>
                        <a class="visible-xs" href="#step6" data-toggle="tab" data-step="6">6.</a>
                    </li>
                </ul>
            </div>
            <div class="tab-content">
                <!--1. Division/ Department-->
                <div class="tab-pane fade in active" id="step1">

                    <div class="well">
                        <!--Risk No-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskno">Risk No</label></div>
                            <div class="col-sm-4"><input type="text" readonly="true" class="form-control" id="txtriskno"></div>

                        </div>
                        <!--Year-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlyear">Year Company Financial Data</label></div>
                            <div class="col-sm-4">
                                <select class="form-control" id="ddlyear"></select>
                            </div>
                        </div>
                        <!--Division-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdivision">Division</label></div>
                            <div class="col-sm-4"><input type="text" disabled="disabled" class="form-control" id="txtdivision"></div>
                        </div>

                        <!--Company Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcompanykpi">Company Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlcompanykpi"></select></div>
                        </div>
                        <!--Department-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtdepartment">Department</label></div>
                            <div class="col-sm-4"><input type="text" readonly="true" class="form-control" id="txtdepartment"></div>
                        </div>
                        <!--Department Objective / KPI -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddldepartmentkpi">Department Objective / KPI</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddldepartmentkpi"></select></div>
                        </div>

                    </div>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--2. Risk Description-->
                <div class="tab-pane fade" id="step2">

                    <div class="well">
                        <!--Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtriskdesc_loss">Loss</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtriskdesc_loss"></textarea></div>
                        </div>
                        <!--Caused-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtriskdesc_caused">Caused</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtriskdesc_caused"></textarea></div>
                        </div>
                        <!--Risk Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlriskdesc_riskimpact">Risk Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlriskdesc_riskimpact"></select></div>
                            <div class="col-sm-4">
                                <button type="button" class="btn btn-primary" id="btnaddriskdesc_riskimpact" name="btnAddRiskRegister">
                                    <span class="glyphicon glyphicon-plus-sign"></span> Add Risk Impact
                                </button>
                            </div>
                        </div>
                        <!--Risk Impact Desc-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtriskdesc_riskimpactdesc">Risk Impact Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" disabled="disabled" rows="8" id="txtriskdesc_riskimpactdesc"></textarea></div>
                        </div>
                        <!--Risk Level (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlriskdesc_risklevel">Risk Level</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlriskdesc_risklevel"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--3. Inherent Risk-->
                <div class="tab-pane fade" id="step3">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtihrrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtihrrisk_notes"></textarea></div>
                        </div>
                        <!--Financial Impact  (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_finimpact">Financial Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_finimpact"></select></div>
                        </div>
                        <!--Financial Impact Amount -->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_finimpactamount">Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" class="form-control text-right" value="0" id="txtihrrisk_finimpactamount">
                                </div>
                            </div>
                        </div>

                        <!--Operational Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_oprimpact">Operational Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_oprimpact"></select></div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtihrrisk_oprimpactloss">Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" class="form-control text-right" value="0" id="txtihrrisk_oprimpactloss">
                                </div>
                            </div>
                        </div>
                        <!--Qualitative Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_qualitativeimpact">Qualitative Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_qualitativeimpact"></select></div>
                        </div>
                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlihrrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Inherent Risk (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_overallinherrisk">Overall Inherent Risk</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlihrrisk_overallinherrisk"></select></div>
                        </div>
                        <!--LEDB-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlihrrisk_ledbid">Loss Event DB</label></div>
                            <div class="col-sm-6"><select class="form-control" id="ddlihrrisk_ledbid"></select></div>
                        </div>
                        <!--File 1-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File 1</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile1" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                           Browse &hellip; <input name="file1" id="file1" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>

                        </div>
                        <!--File 2-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File 2</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile2" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                            &hellip; <input name="file2" id="file2" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>

                        </div>
                        <!--File 3-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File 3</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile3" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                            &hellip; <input name="file3" id="file3" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>

                        </div>
                        <!--File 4-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File 4</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile4" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                            &hellip; <input name="file4" id="file4" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>

                        </div>
                        <!--File 5-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin">File 5</label></div>
                            <div class="col-sm-6">
                                <div class="input-group">
                                    <input type="text" id="txtfile5" placeholder="Please select file" class="form-control" readonly>
                                    <span class="input-group-btn">
                                        <span class="btn btn-primary btn-file">
                                            &hellip; <input name="file5" id="file5" type="file" multiple>
                                        </span>
                                    </span>
                                </div>
                            </div>

                        </div>
                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--4. Current Action / Controls to Manage The Risk-->
                <div class="tab-pane fade" id="step4">

                    <div class="well">
                        <!--Preventive-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_preventive">Preventive</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_preventive"></textarea></div>
                        </div>

                        <!--Detective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_detective">Detective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_detective"></textarea></div>
                        </div>
                        <!--Corrective-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_corrective">Corrective</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtcurraction_corrective"></textarea></div>
                        </div>
                        <!--Control Description-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtcurraction_controldesc">Control Description</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" disabled="disabled" id="txtcurraction_controldesc"></textarea></div>
                        </div>
                        <!--Operation (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_operation">Operation</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlcurraction_operation"></select></div>
                        </div>
                        <!--Appropriateness-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_appropriateness">Appropriateness</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlcurraction_appropriateness"></select></div>
                        </div>
                        <!--Overall-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlcurraction_overall">Overall</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlcurraction_overall"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--5. Residual Risk-->
                <div class="tab-pane fade" id="step5">

                    <div class="well">
                        <!--Notes-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtresrisk_notes">Notes</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtresrisk_notes"></textarea></div>
                        </div>
                        <!--Financial Impact Amount-->
                        <div class="row">
                            <div class="col-sm-2"><label class="required label-def-margin" for="txtresrisk_finimpactamount">Financial Impact - Amount</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <span class="input-group-addon">IDR</span>
                                    <input type="text" class="form-control text-right" value="0" id="txtresrisk_finimpactamount">
                                </div>
                            </div>
                        </div>
                        <!--Operational Impact Loss-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtresrisk_oprimpactloss">Operational Impact - Loss</label></div>
                            <div class="col-sm-4">
                                <div class="input-group">
                                    <input type="text" class="form-control text-right" value="0" id="txtresrisk_oprimpactloss">
                                </div>
                            </div>
                        </div>

                        <!--Strategic Impact (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_strategicimpact">Strategic Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlresrisk_strategicimpact"></select></div>
                        </div>
                        <!--Impact (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_impact"></select></div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlresrisk_likelihood"></select></div>
                        </div>
                        <!--Overall Residual (Disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlresrisk_overallresidual">Overall Residual</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlresrisk_overallresidual"></select></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                    <button class="btn btn-primary next" type="submit"><span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;Next</button>
                </div>
                <!--6. Expected Risk-->
                <div class="tab-pane fade" id="step6">

                    <div class="well">
                        <!--Treatment Plan-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_treatplan">Treatment Plan</label></div>
                            <div class="col-sm-8"><textarea class="form-control" rows="8" id="txtexprisk_treatplan"></textarea></div>
                        </div>
                        <!--Impact (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_impact">Impact</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlexprisk_impact"></select></div>
                            <div class="col-sm-2">
                                <input type="checkbox" class="form-check-input" id="cbexprisk_accept">
                                <label class="form-check-label" for="cbexprisk_accept">Accept</label>
                            </div>
                        </div>
                        <!--Likelihood (LOV)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_likelihood">Likelihood</label></div>
                            <div class="col-sm-4"><select class="form-control" id="ddlexprisk_likelihood"></select></div>
                        </div>
                        <!--Overall Expected (disable)-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="ddlexprisk_overallexpected">Overall Expected</label></div>
                            <div class="col-sm-4"><select class="form-control" disabled="disabled" id="ddlexprisk_overallexpected"></select></div>
                        </div>

                        <!--Schedule-->
                        <div class="row">
                            <div class="col-sm-2"><label class="label-def-margin" for="txtexprisk_schedule">Schedule</label></div>
                            <div class="col-sm-4"><input type="text" class="form-control" id="txtexprisk_schedule"></div>
                        </div>

                    </div>

                    <button class="btn btn-primary back" type="button"><span class="glyphicon glyphicon-circle-arrow-left"></span>&nbsp;Previous</button>
                </div>
            </div>

        </div>
        <div class="panel-footer">
            <div class="row">
                <div class="col-sm-12">
                    <button type="button" id="btnSave" class="btn btn-primary">
                        <span class="glyphicon glyphicon-floppy-disk"></span> Save as Draft
                    </button>
                    &nbsp;
                    <button type="button" id="btnSubmit" class="btn btn-primary">
                        <span class="glyphicon glyphicon-share"></span> Submit
                    </button>
                    &nbsp;
                    <button type="button" id="btnApprove" class="btn btn-primary hide">
                        <span class="glyphicon glyphicon-ok-sign"></span> Approve
                    </button>
                    &nbsp;
                    <button type="button" id="btnReject" class="btn btn-primary hide">
                        <span class="glyphicon glyphicon-remove-sign"></span> Reject
                    </button>
                    &nbsp;
                    <button type="button" class="btn btn-primary" onclick="@("window.location.href='" + @Url.Action("BackRiskRegister", "RiskRegister") + "'");">
                        <span class="glyphicon glyphicon-circle-arrow-left"></span> Back
                    </button>
                </div>
            </div>
        </div>
    </div>

</div>
